## fonts-hack 3.003

=== Makefile ===
all: build

archives:
	postbuild_processing/archive_prep/archiver.sh

build: ttf webfonts

build-with-dependencies: source/*.ufo
	./build-ttf.sh --install-dependencies
	./build-woff.sh --install-dependencies
	./build-woff2.sh --install-dependencies
	./build-subsets.sh

css:
	tools/scripts/css/css-build.sh

lint: shellcheck ufolint

shellcheck: build-ttf.sh build-woff.sh build-woff2.sh build-subsets.sh tools/scripts/install/ttfautohint-build.sh postbuild_processing/archive_prep/archiver.sh tools/scripts/css/css-build.sh
	$@ $^

subsets: source/*.ufo
	./build-subsets.sh

ttf:
	./build-ttf.sh

ufolint: source/*.ufo
	$@ $^

webfonts:
	./build-woff.sh
	./build-woff2.sh
	./build-subsets.sh

woff:
	./build-woff.sh

woff2:
	./build-woff2.sh

## fonts-hack 2.019

=== debian/changelog ===
fonts-hack (2.019-1) unstable; urgency=medium

  * Imported Upstream version 2.019
    + removed SVG from webfont releases

 -- Fabian Greffrath <fabian@debian.org>  Sun, 07 Feb 2016 17:47:12 +0100

fonts-hack (2.018-1) unstable; urgency=medium

  * New upstream release (Closes: #804554)

 -- Paride Legovini <pl@ninthfloor.org>  Fri, 13 Nov 2015 16:17:44 +0100

fonts-hack (2.015-1) unstable; urgency=low

  * Initial release (Closes: #797627)

 -- Paride Legovini <pl@ninthfloor.org>  Tue, 29 Sep 2015 20:09:48 +0200

=== debian/control ===
Source: fonts-hack
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Paride Legovini <pl@ninthfloor.org>,
 Fabian Greffrath <fabian@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: http://sourcefoundry.org/hack/
Vcs-Git: git://anonscm.debian.org/pkg-fonts/fonts-hack.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-fonts/fonts-hack.git

Package: fonts-hack-ttf
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Typeface designed for source code, TrueType fonts
 No frills. No gimmicks. Hack is hand groomed and optically balanced to be a
 workhorse face for code.
 .
 It has deep roots in the libre, open source typeface community and expands upon
 the contributions of the Bitstream Vera & DejaVu projects. The face has been
 re-designed with a larger glyph set, modifications of the original glyph shapes
 (including distinct point styles and semi-bold punctuation weight in the
 regular set to make analphabetic characters less transparent), and meticulous
 attention to metrics (including numerous spacing adjustments to improve the
 rhythm of the face and the legibility of code at small text sizes). The large
 x-height + wide aperture + low contrast design combined with PostScript
 hinting/hint replacement programs and a TrueType instruction set make it highly
 legible at commonly used source code text sizes with a sweet spot that runs in
 the 8px - 12px range on modern desktop and laptop monitors.
 .
 This package contains the TrueType fonts and it's the currently recommended
 version for screen display.

Package: fonts-hack-otf
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Typeface designed for source code, OpenType fonts
 No frills. No gimmicks. Hack is hand groomed and optically balanced to be a
 workhorse face for code.
 .
 It has deep roots in the libre, open source typeface community and expands upon
 the contributions of the Bitstream Vera & DejaVu projects. The face has been
 re-designed with a larger glyph set, modifications of the original glyph shapes
 (including distinct point styles and semi-bold punctuation weight in the
 regular set to make analphabetic characters less transparent), and meticulous
 attention to metrics (including numerous spacing adjustments to improve the
 rhythm of the face and the legibility of code at small text sizes). The large
 x-height + wide aperture + low contrast design combined with PostScript
 hinting/hint replacement programs and a TrueType instruction set make it highly
 legible at commonly used source code text sizes with a sweet spot that runs in
 the 8px - 12px range on modern desktop and laptop monitors.
 .
 This package contains the OpenType fonts.

Package: fonts-hack-web
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Typeface designed for source code, Web fonts
 No frills. No gimmicks. Hack is hand groomed and optically balanced to be a
 workhorse face for code.
 .
 It has deep roots in the libre, open source typeface community and expands upon
 the contributions of the Bitstream Vera & DejaVu projects. The face has been
 re-designed with a larger glyph set, modifications of the original glyph shapes
 (including distinct point styles and semi-bold punctuation weight in the
 regular set to make analphabetic characters less transparent), and meticulous
 attention to metrics (including numerous spacing adjustments to improve the
 rhythm of the face and the legibility of code at small text sizes). The large
 x-height + wide aperture + low contrast design combined with PostScript
 hinting/hint replacement programs and a TrueType instruction set make it highly
 legible at commonly used source code text sizes with a sweet spot that runs in
 the 8px - 12px range on modern desktop and laptop monitors.
 .
 This package contains the WOFF, WOFF2 and SVG fonts.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_fixperms:
	dh_fixperms
	chmod -x debian/fonts-hack-ttf/usr/share/fonts/truetype/hack/*.ttf
	chmod -x debian/fonts-hack-otf/usr/share/fonts/opentype/hack/*.otf
#	chmod -x debian/fonts-hack-web/usr/share/fonts/svg/hack/*.svg
#	chmod -x debian/fonts-hack-web/usr/share/fonts/svg/hack/latin/*.svg
	chmod -x debian/fonts-hack-web/usr/share/fonts/woff/hack/*.woff
	chmod -x debian/fonts-hack-web/usr/share/fonts/woff/hack/latin/*.woff
	chmod -x debian/fonts-hack-web/usr/share/fonts/eot/hack/*.eot
	chmod -x debian/fonts-hack-web/usr/share/fonts/eot/hack/latin/*.eot

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/Hack-$1.tar.gz/"
https://github.com/chrissimpkins/Hack/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## fonts-hack 2.020

=== debian/changelog ===
fonts-hack (2.020-1) unstable; urgency=medium

  * Imported Upstream version 2.020

 -- Fabian Greffrath <fabian@debian.org>  Sat, 30 Apr 2016 22:54:00 +0200

## fonts-hack 3.003

=== debian/changelog ===
fonts-hack (3.003-3) unstable; urgency=medium

  * Team upload.
  * debian/patches
    - rename to 0002-ttfautohint-glyph-names.patch
    - add 0003-python3.patch to avoid build failure
  * debian/control
    - move to python3-fonttools (Closes: #943010)
    - set Standards-Version: 4.4.1
    - use dh12
    - set Rules-Requires-Root: no
  * add debian/salsa-ci.yml
  * debian/fonts-hack.metainfo.xml
    - fix invalid xml

 -- Hideki Yamane <henrich@debian.org>  Sun, 10 Nov 2019 18:40:08 +0900

fonts-hack (3.003-2) unstable; urgency=medium

  [ Paride Legovini ]
  * d/rules: disable parallel building in a better way

  [ Gürkan Myczko ]
  * Add new file
  * Update fonts-hack.install

  [ Fabian Greffrath ]
  * Use proper glyphs names in the ttfautohint rules (Closes: #916948).

 -- Fabian Greffrath <fabian@debian.org>  Tue, 25 Dec 2018 12:04:38 +0100

fonts-hack (3.003-1) unstable; urgency=medium

  * New upstream version.
  * Install fontconfig family->generic map (45-Hack.conf)

 -- Paride Legovini <pl@ninthfloor.org>  Tue, 13 Mar 2018 12:50:19 +0000

fonts-hack (3.002-2) unstable; urgency=medium

  * Add Upstream Metadata (d/upstream/metadata)
  * Release to unstable

 -- Paride Legovini <pl@ninthfloor.org>  Fri, 23 Feb 2018 17:34:29 +0000

fonts-hack (3.002-1) experimental; urgency=medium

  [ Paride Legovini ]
  * New upstream version.
  * Hack is now MIT/Expat licensed with no Reserved Font Name.
  * The fonts in this package are now built from their UFO sources.
  * Font variants now consolidated in a single fonts-hack package.
  * The OTF and EOT variants have been removed (discontinued upstream).
  * Bump Standards-Version to 4.1.3.
  * Bump debhelper compat to 11.

  [ Fabian Greffrath ]
  * Add Breaks and Replaces relations against the formerly provided
    fonts-hack-otf, fonts-hack-ttf and fonts-hack-web packages.

 -- Paride Legovini <pl@ninthfloor.org>  Wed, 14 Feb 2018 18:42:57 +0100

fonts-hack (2.020-2) unstable; urgency=medium

  * Install WOFF2 fonts, thanks Boyuan Yang (Closes: #863009).
  * Move web fonts to usr/share/fonts-hack, out of fontconfig's reach.
  * Remove debian/README.Debian, doesn't apply anymore.
  * Add CSS files found in build/webfonts/css/ as examples.
  * Simplify fixing font file permissions in debian/rules.
  * Fix vcs-field-uses-insecure-uri lintian warnings.
  * Update package description for fonts-hack-web.
  * Bump Standards-Version to 4.1.1.
  * Bump debhelper compat to 10.

 -- Fabian Greffrath <fabian@debian.org>  Wed, 04 Oct 2017 18:06:48 +0200

=== debian/control ===
Source: fonts-hack
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders:
 Paride Legovini <pl@ninthfloor.org>,
 Fabian Greffrath <fabian@debian.org>
Build-Depends: debhelper-compat (= 12), fontmake, python3-fonttools, sfnt2woff-zopfli,
 woff2
Standards-Version: 4.4.1
Homepage: https://sourcefoundry.org/hack/
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-hack.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-hack
Rules-Requires-Root: no

Package: fonts-hack
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: fonts-hack-otf (<< 3.002-1~), fonts-hack-ttf (<< 3.002-1~), fonts-hack-web (<< 3.002-1~)
Replaces: fonts-hack-otf (<< 3.002-1~), fonts-hack-ttf (<< 3.002-1~), fonts-hack-web (<< 3.002-1~)
Description: Typeface designed for source code
 No frills. No gimmicks. Hack is hand groomed and optically balanced to be a
 workhorse face for code.
 .
 It has deep roots in the libre, open source typeface community and expands upon
 the contributions of the Bitstream Vera & DejaVu projects. The face has been
 re-designed with a larger glyph set, modifications of the original glyph shapes
 (including distinct point styles and semi-bold punctuation weight in the
 regular set to make analphabetic characters less transparent), and meticulous
 attention to metrics (including numerous spacing adjustments to improve the
 rhythm of the face and the legibility of code at small text sizes). The large
 x-height + wide aperture + low contrast design combined with PostScript
 hinting/hint replacement programs and a TrueType instruction set make it highly
 legible at commonly used source code text sizes with a sweet spot that runs in
 the 8px - 12px range on modern desktop and laptop monitors.
 .
 This package contains the TrueType fonts and the Webfont (WOFF/WOFF2) versions.

Package: fonts-hack-ttf
Section: oldlibs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-hack
Description: Hack TrueType fonts (transitional package for fonts-hack)
 This package used to contain the TTF variants of the Hack font, which
 are now part of the consolidated fonts-hack package.
 .
 This package is a dummy transitional package. It can be safely removed.

Package: fonts-hack-web
Section: oldlibs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-hack
Description: Hack web fonts (transitional package for fonts-hack)
 This package used to contain the web variants of the Hack font, which
 are now part of the consolidated fonts-hack package.
 .
 This package is a dummy transitional package. It can be safely removed.

Package: fonts-hack-otf
Section: oldlibs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-hack
Description: Hack OpenType fonts (transitional package for fonts-hack)
 This package used to contain the OTF variant of the Hack font, which
 has been discontinued upstream. It now pulls in the TTF variant instead.
 .
 This package is a dummy transitional package. It can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	# Parallel building is not supported.
	dh_auto_build --no-parallel

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/Hack-$1.tar.gz/"
https://github.com/source-foundry/Hack/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
